# Record Class CJ1ItemColumnOrdering

java.lang.Object
java.lang.Record
com.io7m.cardant.protocol.inventory.json.internal.CJ1ItemColumnOrdering

All Implemented Interfaces:
  `CJ1ValueType`

public record CJ1ItemColumnOrdering(CJ1ItemColumn column, boolean ascending) extends Record implements CJ1ValueType

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CJ1ItemColumnOrdering(CJ1ItemColumn column, boolean ascending)`
  Creates an instance of a `CJ1ItemColumnOrdering` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `ascending()`
  Returns the value of the `ascending` record component.
  `CJ1ItemColumn`
  `column()`
  Returns the value of the `column` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CJ1ItemColumnOrdering

    public CJ1ItemColumnOrdering(@JsonPropertyDescription("The column used to order results.") CJ1ItemColumn column, boolean ascending)
    Creates an instance of a `CJ1ItemColumnOrdering` record class.
    Parameters:
      `column` - the value for the `column` record component
      `ascending` - the value for the `ascending` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### column

    @JsonPropertyDescription("The column used to order results.") public CJ1ItemColumn column()
    Returns the value of the `column` record component.
    Returns:
      the value of the `column` record component

  - ### ascending

    public boolean ascending()
    Returns the value of the `ascending` record component.
    Returns:
      the value of the `ascending` record component